%define upstream_name    Any-Moose
%define upstream_version 0.27

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Summary:    Use Moose or Mouse modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SA/SARTAK/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(Mouse)
%description
Actual documentation is forthcoming, once we solidify all the bits of the
API. The examples above are very likely to continue working.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.270.0-6.mga10
+ Revision: 2203407
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.270.0-5.mga9
+ Revision: 1808229
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.270.0-4.mga8
+ Revision: 1503444
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.270.0-3.mga7
+ Revision: 1281578
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.270.0-2.mga7
+ Revision: 1162908
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 guillomovitch <guillomovitch> 0.270.0-1.mga7
+ Revision: 1156272
- new version 0.27

* Sat Jun 18 2016 pterjan <pterjan> 0.260.0-3.mga6
+ Revision: 1022507
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.260.0-2.mga6
+ Revision: 966927
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.260.0-1.mga6
+ Revision: 847091
- update to 0.26

* Sun Oct 19 2014 umeabot <umeabot> 0.240.0-5.mga5
+ Revision: 789720
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.240.0-4.mga5
+ Revision: 740069
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.240.0-3.mga5
+ Revision: 731821
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 0.240.0-2.mga5
+ Revision: 683472
- Mageia 5 Mass Rebuild

* Tue Jun 24 2014 sander85 <sander85> 0.240.0-1.mga5
+ Revision: 639238
- update to 0.24

* Sat Jun 21 2014 sander85 <sander85> 0.220.0-1.mga5
+ Revision: 638337
- update to 0.22

* Sat Oct 19 2013 umeabot <umeabot> 0.210.0-2.mga4
+ Revision: 525938
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 0.210.0-1.mga4
+ Revision: 434986
- update to 0.21

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 362927
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.200.0-1.mga3
+ Revision: 341909
- update to 0.20

* Tue Nov 08 2011 kharec <kharec> 0.180.0-1.mga2
+ Revision: 165619
- Add Br on perl(Moose)
- update to 0.18

* Mon Sep 26 2011 jquelin <jquelin> 0.170.0-1.mga2
+ Revision: 148124
- adding missing buildrequires:
- update to 0.17

* Wed Jun 15 2011 jquelin <jquelin> 0.150.0-1.mga2
+ Revision: 106450
- update to 0.15

* Sun Jan 23 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 33572
- mageia rebuild
- imported package perl-Any-Moose

